Subject: Re: bug#13124: 24.1; shell-mode does not hide sudo password prompts

From: Arne Babenhauserheide <[email-masked]>
Date: Thu, 13 Dec 2012 17:14:10 +0100

Am Donnerstag, 13. Dezember 2012, 23:14:19 schrieb Kenichi Handa:
> In article <2937464.OIdV3OoAVt@fluss>, Arne Babenhauserheide 
<[email-masked]> writes:
> > I installed emacs for a collegue and the visible password is the major
> > reason why he switches to the quite inconvenient term/ansi-term mode
> > instead of shell.
> > 
> > So I think it is very relevant: It’s a matter of good defaults to never
> > show the Password your user types. Especially not (quasi-)root passwords.

> It seems to be difficult to setup
> comint-password-prompt-regexp for all variations of prompts
> for password.  How about using this kind of code (incomplete)?
…
> One can type C-c p when the shell buffer displays a prompt
> for password without letting user enter a password in the
> minibuffer.

That does not feel perfect, but it is better than the current situation, I 
think. I would prefer the shell to recognice the language setting and use that 
to select additional password-request matching.

Best wishes,
Arne
--
A man in the streets faces a knife.
Two policemen are there it once. They raise a sign:

    “Illegal Scene! Noone may watch this!”

The man gets robbed and stabbed and bleeds to death.
The police had to hold the sign.

…Welcome to Europe, citizen. Censorship is beautiful.

   ( http://draketo.de/stichwort/censorship )